# Project Rules and Guidelines

This section contains documentation on various rules, guidelines, and best practices adopted by the `log_analyzer_mcp` project. These are intended to ensure consistency, quality, and smooth collaboration.

The rules are mentioned by the `.cursorrules`, `.windsurfrules` and `.github/copilot-instructions.md` files in this project for use with Cursor, Windsurf and GitHub Copilot respectively.

## Available Guides

- **[Developer Guide](../developer_guide.md)**
  - Provides comprehensive instructions for developers on setting up the environment, building the project, running tests (including coverage), managing MCP server configurations, and release procedures. (Supersedes the old Testing and Build Guide).

- **[Markdown Linting Rules](./markdown-rules.md)**
  - Details the linting rules for writing consistent and maintainable Markdown files within the project.

- **[Python and GitHub Development Rules](./python-github-rules.md)**
  - Covers development guidelines specific to Python code and GitHub practices, such as commit messages, pull requests, and branch management.
